> For the complete documentation index, see [llms.txt](https://docs.cloudbrink.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudbrink.com/security-advisory/connector-security-patch-advisory-14.3.17.md).

# Connector security patch advisory - 14.3.17

*Product: Cloudbrink Connector*

*Release: 14.3.17*

*Date: July 2025*

*Introduction*

*Cloudbrink has identified and resolved the list of security vulnerabilities given below in the release version 14.3.17. These vulnerability fixes are applicable to Brink Connector component, which is deployed inside the customer network, both on-prem and/or on the Cloud datacenters. It is strongly recommended that customers upgrade their Connectors to this new patched release for improved security risk and threat mitigation.*

#### *Vulnerabilities resolved in this release*

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th><th valign="top"></th><th></th></tr></thead><tbody><tr><td valign="top"><strong>Severity</strong></td><td valign="top"><strong>CVE</strong></td><td valign="top"><strong>Component</strong></td><td><strong>Brief</strong></td></tr><tr><td valign="top">High</td><td valign="top"><p><em>CVE-2024-</em></p><p><em>57798</em></p></td><td valign="top"><em>drm/dp_mst</em></td><td><p><em>Ensure mst_primary pointer is valid in</em></p><p><em>drm_dp_mst_handle_up_req()</em></p></td></tr><tr><td valign="top">High</td><td valign="top"><p><em>CVE-2024-</em></p><p><em>56658</em></p></td><td valign="top"><em>xfrm4_net_init</em></td><td><p><em>Slab Use-After-Free Vulnerability in networking</em></p><p><em>subsystem</em></p></td></tr><tr><td valign="top">High</td><td valign="top"><p><em>CVE-2024-</em></p><p><em>56598</em></p></td><td valign="top"></td><td><em>Array-index-out-of-bounds in Journaled File System (JFS) dtReadFirst function</em></td></tr><tr><td valign="top">High </td><td valign="top">CVE-2024-56595 </td><td valign="top"></td><td>Array index out-of-bounds in JFS dbAdjTree function (negative 'lp' value)</td></tr><tr><td valign="top">High</td><td valign="top">CVE-2024-35864 </td><td valign="top">smb </td><td>fix potential UAF in smb2_is_valid_lease_break </td></tr><tr><td valign="top">High</td><td valign="top">CVE-2024-26928 </td><td valign="top">smb</td><td>fix potential UAF in cifs_debug_files_proc_show() </td></tr><tr><td valign="top">High</td><td valign="top">CVE-2024-53140 </td><td valign="top">Netlink</td><td>terminate outstanding dump on socket close Netlink supports iterative dumping of data </td></tr></tbody></table>

#### Open vulnerabilities in this release &#x20;

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Severity </td><td valign="top">CVE </td><td valign="top">Brief </td><td valign="top">Comments </td></tr><tr><td valign="top">High </td><td valign="top">CVE-2024-50047 </td><td valign="top">Linux kernel SMB client Use-After-Free (UAF) in async decryption </td><td valign="top">Connector does not encrypt/decrypt app traffic, hence not applicable </td></tr><tr><td valign="top">High </td><td valign="top">CVE-2024-3661 </td><td valign="top">TunnelVision VPN Bypass Vulnerability </td><td valign="top">DHCP route option (121) not used by Connector </td></tr><tr><td valign="top">High </td><td valign="top">CVE-2024-31449 </td><td valign="top">Redis Lua Library Remote Code Execution </td><td valign="top">Connector does not listen on any open ports </td></tr></tbody></table>

#### Contact&#x20;

For further information or to report issues, contact the Cloudbrink Security Team at <security@cloudbrink.com>&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cloudbrink.com/security-advisory/connector-security-patch-advisory-14.3.17.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
